Subject: Re: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Random832 <[email-masked]>
Date: Fri, 08 Jan 2016 15:14:26 -0500

On Fri, Jan 8, 2016, at 13:47, Michael Albinus wrote:
> Tramp sets utf-8-mac for encoding and utf-8 for decoding. I'll play with
> utf-8-hfs when testing on a OSX machine.

utf-8-hfs is part of ucs-normalize and IIRC works on all platforms.
utf-8-nfd is the old one which only existed on the ns implementation,
and didn't work for encoding anyway (which was the cause of the
completion bug).

AIUI utf-8-mac is regular UTF-8 with CR line endings and is intended for
use with files created on *classic* MacOS, and should not be used for
this purpose.